SHOWKEY(1)

NOMBRE
showkey - examina los códigos enviados por el teclado

SINOPSIS
showkey [-h|--help] [-a|--ascii] [-s|--scancodes] [-k|--keycodes]

DESCRIPCIÓN

showkey muestra en la salida estándar los códigos de rastreo o el código de tecla o el código `ascii' de cada tecla pulsada. En los dos primeros modos el programa se ejecuta hasta que hayan transcurrido 10 segundos desde la última pulsación de tecla o evento de liberación, o hasta que reciba una señal reconocible, como SIGTERM, desde otro proceso. En modo `ascii' el programa termina cuando el usuario teclea ^D.

Cuando está en modo de volcado de códigos de rastreo, showkey muestra en formato hexadecimal cada byte recibido desde el teclado en la salida estándar. Se imprime una nueva línea cuando ocurre un intervalo de aproximadamente una décima de segundo entre los bytes recibidos, o cuando el búfer de recepción interno se llena. Esto puede emplearse para determinar más o menos, qué secuencias de bytes envía el teclado de una vez cuando se pulsa una tecla determinada. El modo de volcado de códigos de rastreo está pensado principalmente para depuración del controlador de teclado o de otras interfaces de bajo nivel. Como tal, no debería ser de mucho interés para el usuario final normal.

Cuando está en el modo predeterminado de volcado de códigos de tecla, showkey muestra en la salida estándar el número de código de tecla de cada tecla pulsada o liberada. La clase de evento, pulsación o liberación, también se muestra. Los códigos de teclas son números asignados por el núcleo a cada tecla física individual. Cada tecla tiene siempre solamente un número de código de tecla asociado, mientras que el teclado envía códigos de rastreo simples o múltiples cuando se pulsa. Empleando showkey en este modo, uno puede encontrar qué números usar en sus ficheros de mapas de teclado personalizados.

Cuando está en el modo de volcado `ascii', showkey muestra en la salida estándar el valor o los valores en base diez, en octal y en hexadecimal de la tecla pulsada, según el mapa de teclado presente.

OPCIONES

-h --help
    showkey muestra en la salida estándar de errores su número de versión, una opción de compilación y un corto mensaje sobre el modo de empleo, luego acaba.

-s --scancodes
    Arranca showkey en modo de volcado de códigos de rastreo.

-k --keycodes
    Arranca showkey en modo de volcado de códigos de tecla. Éste es el predeterminado, cuando no se dan opciones en la línea de órdenes.

-a --ascii
    Arranca showkey en modo de volcado `ascii'.

VÉASE TAMBIÉN
loadkeys(1), dumpkeys(1), keymaps(5)